Bug 1658474 - sub-menu menus being hidden too quickly
Summary: sub-menu menus being hidden too quickly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Walden Raines
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 08:54 UTC by Jan Hutař
Modified: 2019-10-07 17:37 UTC (History)
4 users (show)

Fixed In Version: foreman-1.20.1.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Foreman Issue Tracker 25833 None None None 2019-01-10 18:47:35 UTC

Description Jan Hutař 2018-12-12 08:54:12 UTC
Description of problem:
Sub-menu menus being hidden too quickly


Version-Release number of selected component (if applicable):
satellite-6.5.0-5.beta.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Click "Hosts" to open sub-menu, somewhere on a left side of the menu item (close to icon, not to arrow)
2. Now lets say you want to click "Provisioning templates" which is far down in the sub-menu
3. Move your cursor straight to your target


Actual results:
When your cursor leaves "Hosts" menu item and goes to "Configure" menu item, configure sub-menu is shown, hosts sub-menu gets hidden.


Expected results:
Hosts sub-menu should last for bit longer so it is easy to select menu items which I want.

Comment 3 Brad Buckingham 2019-01-09 16:54:55 UTC
Walden,

Do you know if this change in behavior was intentional?

Comment 4 Walden Raines 2019-01-10 18:33:44 UTC
(In reply to Brad Buckingham from comment #3)
> Walden,
> 
> Do you know if this change in behavior was intentional?

I doubt a decision was explicitly made in either direction but it looks like the patternfly-react version supports a hover delay [1] so we can try adding that in and seeing if it helps the experience.

[1] https://url.corp.redhat.com/b8a7aea

Comment 5 Walden Raines 2019-01-10 18:47:34 UTC
Created redmine issue https://projects.theforeman.org/issues/25833 from this bug

Comment 6 Walden Raines 2019-01-10 18:57:05 UTC
PR: https://github.com/theforeman/foreman/pull/6405

Comment 7 Bryan Kearney 2019-01-10 19:54:54 UTC
Upstream bug assigned to walden@redhat.com

Comment 8 Bryan Kearney 2019-01-10 19:54:57 UTC
Upstream bug assigned to walden@redhat.com

Comment 9 Walden Raines 2019-02-18 19:12:03 UTC
PR: https://github.com/theforeman/foreman/pull/6405

Comment 10 Bryan Kearney 2019-03-05 15:05:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25833 has been resolved.

Comment 15 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.